Bug 193478 - security/nmap Compilation test omits ccache environment
Summary: security/nmap Compilation test omits ccache environment
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Some People
Assignee: Olli Hauer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-09-09 05:39 UTC by dewayne
Modified: 2014-09-12 04:41 UTC (History)
1 user (show)

See Also:


Attachments
Patch to add test for ccache (472 bytes, patch)
2014-09-09 12:44 UTC, dewayne
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description dewayne 2014-09-09 05:39:48 UTC

    
Comment 1 dewayne 2014-09-09 12:44:23 UTC
Created attachment 147108 [details]
Patch to add test for ccache

The nmap Makefile explicitly tests ${CC} to be either cc or clang, otherwise additional stuff is added to the build.  Unfortunately the test fails where ccache is used as ${CC} is /usr/local/libexec/ccache/cc (derived from cd /usr/ports/security/nmap && make -V CC)

The attached patch fixes this anomaly, which strangely stopped our build on a 10.Stable (FreeBSD 10.1-PRERELEASE #0 r267757M) yesterday, but built packages on a 9.3Stable i386 and amd64.  The ports and distfiles are shared (so they're identical).  Another of life's little mysteries!
Comment 2 Tilman Keskinoz freebsd_committer 2014-09-11 15:38:31 UTC
over to maintainer
Comment 3 commit-hook freebsd_committer 2014-09-12 04:39:34 UTC
A commit references this bug:

Author: ohauer
Date: Fri Sep 12 04:38:33 UTC 2014
New revision: 368003
URL: http://svnweb.freebsd.org/changeset/ports/368003

Log:
  - fix build with ccache on FreeBSD 10

  PR:		193478
  Submitted by:	dewayne @ heuristicsystems.com.au

Changes:
  head/security/nmap/Makefile
Comment 4 Olli Hauer freebsd_committer 2014-09-12 04:41:39 UTC
Committed, thanks for the patch!